import type { Ref } from "vue";
import type { DataBindingContainer, BindingString } from "@supermatic-ui/core";
type SetupBindResult<T> = {
    value: T;
    set: (value: T) => void;
};
export declare const setupTemplate: (dataBinding: DataBindingContainer, template: BindingString | undefined, vueRef?: Ref<string>) => Ref<string>;
export declare const setupEval: <T>(dataBinding: DataBindingContainer, expression: BindingString | undefined, vueRef?: Ref<T> | undefined) => Ref<T | undefined>;
export declare const setupBind: <T>(dataBinding: DataBindingContainer, binding: BindingString | undefined, vueRef: Ref<T>) => SetupBindResult<T>;
export {};
